summaryrefslogtreecommitdiffstats
path: root/games/torcs
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:35 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:35 +0200
commit58124800c44323a70de4c3d3803ab448c7290ff1 (patch)
tree261fa090e578e0f763670af050aceea00638caeb /games/torcs
parent7f86bbbf655c3fe0a160c193fb0d126e6f87a354 (diff)
downloadslackbuilds-58124800c44323a70de4c3d3803ab448c7290ff1.tar.gz
slackbuilds-58124800c44323a70de4c3d3803ab448c7290ff1.tar.xz
games/torcs: Added to 12.2 repository
Diffstat (limited to 'games/torcs')
-rw-r--r--games/torcs/README7
-rw-r--r--games/torcs/doinst.sh4
-rw-r--r--games/torcs/slack-desc19
-rw-r--r--games/torcs/torcs.SlackBuild95
-rw-r--r--games/torcs/torcs.desktop7
-rw-r--r--games/torcs/torcs.info8
6 files changed, 140 insertions, 0 deletions
diff --git a/games/torcs/README b/games/torcs/README
new file mode 100644
index 0000000000..7530efceaf
--- /dev/null
+++ b/games/torcs/README
@@ -0,0 +1,7 @@
+TORCS, The Open Racing Car Simulator is a highly portable multi platform
+car racing simulation. It is used as ordinary car racing game, as AI
+racing game and as research platform. It runs on Linux (x86, AMD64 and
+PPC), FreeBSD, MacOSX and Windows. TORCS features more than 50 different
+cars, more than 20 tracks, and 50 opponents to race against.
+
+This requires plib, OpenAL, and freealut.
diff --git a/games/torcs/doinst.sh b/games/torcs/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/games/torcs/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/games/torcs/slack-desc b/games/torcs/slack-desc
new file mode 100644
index 0000000000..2a1ca2eaaa
--- /dev/null
+++ b/games/torcs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+torcs: torcs (highly portable multi platform car racing simulation)
+torcs:
+torcs: TORCS, The Open Racing Car Simulator is a highly portable multi
+torcs: platform car racing simulation. It is used as ordinary car racing
+torcs: game, as AI racing game and as research platform. It runs on Linux
+torcs: (x86, AMD64 and PPC), FreeBSD, MacOSX and Windows. TORCS features
+torcs: more than 50 different cars, more than 20 tracks, and 50 opponents
+torcs: to race against.
+torcs:
+torcs:
+torcs:
diff --git a/games/torcs/torcs.SlackBuild b/games/torcs/torcs.SlackBuild
new file mode 100644
index 0000000000..53f9757c60
--- /dev/null
+++ b/games/torcs/torcs.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for torcs
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=torcs
+VERSION=${VERSION:-1.3.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --bindir=/usr/games \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+make datainstall DESTDIR=$PKG
+
+# For some reason `make install' creates all the dirs 0777
+find $PKG -type d | xargs chmod 0755
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Tenemos una pagina de man en espanol...
+mkdir -p $PKG/usr/man/man6 $PKG/usr/man/es/man6
+mv doc/man/$PRGNAM.es.6 $PKG/usr/man/es/man6
+mv doc/man/*.6 $PKG/usr/man/man6
+rm -rf doc/man
+gzip $PKG/usr/man/man6/*.6 $PKG/usr/man/es/man6/*.6
+
+# Docs are a bit of a mess...
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+find doc -type d -a -name CVS -print0 | xargs -0 rm -rf
+mv doc/history/history.txt doc/testing/release.txt doc/faq/faq.html \
+ doc/userman/*.html doc/userman/images \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir doc/history doc/testing doc/faq doc/userman
+mv doc/website/credits.html $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf doc/website # not very useful because the images are missing
+cp -r README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+( cd $PKG/usr/share/pixmaps ; ln -s ../games/$PRGNAM/Ticon.png $PRGNAM.png )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/torcs/torcs.desktop b/games/torcs/torcs.desktop
new file mode 100644
index 0000000000..67ca9e2713
--- /dev/null
+++ b/games/torcs/torcs.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=TORCS
+Exec=torcs
+Type=Application
+Icon=torcs
+GenericName=The Open Racing Car Simulator
+Categories=Game;Simulation;
diff --git a/games/torcs/torcs.info b/games/torcs/torcs.info
new file mode 100644
index 0000000000..965f934293
--- /dev/null
+++ b/games/torcs/torcs.info
@@ -0,0 +1,8 @@
+PRGNAM="torcs"
+VERSION="1.3.1"
+HOMEPAGE="http://torcs.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/torcs/torcs-1.3.1.tar.bz2"
+MD5SUM="f3efd94fb52e9963e176bf441cdab7b3"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"